Summary:	H. Peter Anvin's TFTP daemon and client
Name:		tftp-hpa
Version:	0.41
Release:	1
Group:		System Environment/Daemons
URL:		http://www.kernel.org
License:	BSD
Source0:	ftp://ftp.kernel.org/pub/software/network/tftp/%{name}-%{version}.tar.bz2
Source1:	tftpd.sh
Source2:	tftpd.sysconfig
Provides:	tftp-server
BuildArch:	i386
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is a conglomerate of a number of versions of the BSD TFTP code,
ported to Linux, although it should work on mostly any POSIX-compliant
OS with sockets.  You may have to use GNU make to build it.

The core software was taken from OpenBSD (CVS source as of
1999-09-21).  I believe this was the most secure source base available
at the time I obtained this code, and it included support for the -s
and -c options.


%prep
%setup


%build
# Choose better for your needs
# ./configure --without-remap --without-tcpwrappers
./configure --without-remap
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT%{_initrddir}/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8/

install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/tftpd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/tftpd
install tftp/tftp $RPM_BUILD_ROOT%{_bindir}/
install tftp/tftp.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install tftpd/tftpd $RPM_BUILD_ROOT%{_sbindir}/
install tftpd/tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/


%post
/sbin/chkconfig --add tftpd


%preun
if [ $1 -eq 0 ]; then
	/sbin/service tftpd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del tftpd
fi


%postun
if [ $1 -gt 0 ]; then
        /sbin/service tftpd condrestart > /dev/null 2>&1 || :
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root)
%doc CHANGES INSTALL INSTALL.tftp README README.security
%config %{_sysconfdir}/sysconfig/tftpd
%attr(0755,root,root) %{_initrddir}/tftpd
%attr(0755,root,root) %{_bindir}/tftp
%attr(0755,root,root) %{_sbindir}/tftpd
%{_mandir}/man1/tftp.1*
%{_mandir}/man8/tftpd.8*


%changelog
* Sun Mar 26 2006 Petr Kritof <Petr|Kristof_CZ> 0.41-1
- Update to 0.41
- Rebuild on FC-5

* Thu Aug 25 2005 Petr Kritof <Petr|Kristof_CZ> 0.40-2
- Fix dependencies

* Tue Jun 21 2005 Petr Kritof <Petr|Kristof_CZ> 0.40-1
- Update to 0.40
- Rebuild on FC-4

* Mon Nov 15 2004 Petr Kritof <Petr|Kristof_CZ> 0.39-1
- Rebuild on FC-3
- Update to 0.39

* Wed Aug 4 2004 Petr Kritof <Petr|Kristof_CZ> 0.36-3
- Change sysconfig options

* Thu Jul 1 2004 Petr Kritof <Petr|Kristof_CZ> 0.36-2
- Rebuild on FC-2

* Sun Jan 25 2004 Petr Kritof <Petr|Kristof_CZ>
- Update to 0.36

* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on FC-1
- Update to 0.34

* Thu Feb 6 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-8.0
- Update to 0.33

* Sun May 12 2002 Petr Kritof <Petr|Kristof_CZ>
- Update to RH-7.3 and tfp-hpa 0.29

* Fri Sep 20 2001 Petr Kritof <Petr|Kristof_CZ>
- Added support for standalone mode
- Update for RPM 4.x
- Based on Ken Yap package

